Bug 2230157 - TRIAGE-CVE-2023-34319 kernel: XSA-432 xen: Buffer overrun in netback due to unusual packet [fedora-all]
Summary: TRIAGE-CVE-2023-34319 kernel: XSA-432 xen: Buffer overrun in netback due to u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-34319
TreeView+ depends on / blocked
 
Reported: 2023-08-08 19:24 UTC by Pedro Sampaio
Modified: 2023-08-10 00:42 UTC (History)
18 users (show)

Fixed In Version: kernel-6.4.9-200.fc38 kernel-6.4.9-100.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-10 00:42:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2023-08-08 19:24:23 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2230156

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Pedro Sampaio 2023-08-08 19:24:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2230156,2230157

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-08 22:55:15 UTC
FEDORA-2023-638681260a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-638681260a

Comment 3 Fedora Update System 2023-08-08 22:55:32 UTC
FEDORA-2023-ddfd3073b3 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ddfd3073b3

Comment 4 Fedora Update System 2023-08-09 02:01:14 UTC
FEDORA-2023-ddfd3073b3 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ddfd3073b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ddfd3073b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-08-09 02:34:25 UTC
FEDORA-2023-638681260a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-638681260a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-638681260a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-10 00:42:04 UTC
FEDORA-2023-ddfd3073b3 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-08-10 00:42:50 UTC
FEDORA-2023-638681260a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.